## nat-rtsp 0.7%2B1.g2ea3cb6

=== debian/changelog ===
nat-rtsp (0.7+1.g2ea3cb6-1ubuntu1~18.04.2) bionic; urgency=medium

  * Fix build with 5.3 kernel (LP: #1844591)
    - 0001-Fix-build-with-Linux-5.3.patch

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Wed, 18 Sep 2019 23:42:37 +0000

nat-rtsp (0.7+1.g2ea3cb6-1ubuntu1~18.04.1) bionic; urgency=medium

  * Add fix to build with linux 4.18 (LP: #1788446).

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Wed, 22 Aug 2018 15:04:57 -0300

nat-rtsp (0.7+1.g2ea3cb6-1) unstable; urgency=low

  * Initial release (Closes: #732026)

 -- Julien Muchembled <jm@jmuchemb.eu>  Sun, 08 Dec 2013 18:44:47 +0100

## nat-rtsp 0.7%2B4.18

=== Makefile ===
ifneq ($(KERNELRELEASE),)
# kbuild part of makefile
ifndef CONFIG_NF_CONNTRACK
$(error ** You need to enable NF_CONNTRACK in your kernel **)
endif

obj-m := nf_conntrack_rtsp.o nf_nat_rtsp.o
else

# Normal Makefile

KERNELDIR := /lib/modules/`uname -r`/build
all: 
	$(MAKE) -C $(KERNELDIR) M=`pwd` modules

debug:
	$(MAKE) -C $(KERNELDIR) EXTRA_CFLAGS=-DDEBUG M=`pwd` modules

modules_install:
	$(MAKE) -C $(KERNELDIR) M=`pwd` modules_install

clean:
	rm -rf *.o *.ko *.mod.c .*.cmd Module.symvers modules.order .tmp_versions

endif

## nat-rtsp 0.7%2B5.3

=== debian/control ===
Source: nat-rtsp
Section: kernel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Julien Muchembled <jm@jmuchemb.eu>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-dkms,
Standards-Version: 4.3.0
Homepage: https://github.com/maru-sama/rtsp-linux
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-dkms
Vcs-Browser: https://salsa.debian.org/debian/nat-rtsp
Vcs-Git: https://salsa.debian.org/debian/nat-rtsp.git

Package: nat-rtsp-dkms
Architecture: all
Depends: ${misc:Depends}
Description: Connection tracking and NAT support for RTSP
 Real Time Streaming Protocol is a network control protocol designed for use in
 entertainment and communications systems to control streaming media servers.
 .
 For example in France, the modem provided by Free ISP (Freebox) uses this
 protocol to broadcast TV/radio channels on the LAN. This module is required
 for any router between the modem and end-users.

## nat-rtsp 0.7+1.g2ea3cb6

=== debian/control ===
Source: nat-rtsp
Section: kernel
Priority: extra
Maintainer: Julien Muchembled <jm@jmuchemb.eu>
Build-Depends: debhelper (>= 8.0.0), dkms
Standards-Version: 3.9.5
Homepage: https://github.com/maru-sama/rtsp-linux

Package: nat-rtsp-dkms
Architecture: all
Depends: ${misc:Depends}
Description: Connection tracking and NAT support for RTSP
 Real Time Streaming Protocol is a network control protocol designed for use in
 entertainment and communications systems to control streaming media servers.
 .
 For example in France, the modem provided by Free ISP (Freebox) uses this
 protocol to broadcast TV/radio channels on the LAN. This module is required
 for any router between the modem and end-users.

## nat-rtsp 0.7+4.18

=== debian/changelog ===
nat-rtsp (0.7+4.18-0.1ubuntu1) eoan; urgency=medium

  * Fix build with Linux 5.3 (LP: #1841986)
    - debian/patches/0001-Fix-build-with-Linux-5.3.patch

 -- Seth Forshee <seth.forshee@canonical.com>  Fri, 30 Aug 2019 09:14:37 -0500

nat-rtsp (0.7+4.18-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release:
    - Add support to linux 4.18 (Closes: #908492)
  * Update to policy version 4.3.0:
    - debian/copyright: Use https: URL for copyright format
    - debian/control: Change priority to optional
    - debian/control: Set Rules-Requires-Root: no
  * debian/source/options: Delete as redundant
  * Use debhelper compatibility level 12

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 07 Jan 2019 20:38:10 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: nat-rtsp
 Section: kernel
-Priority: extra
-Maintainer: Julien Muchembled <jm@jmuchemb.eu>
-Build-Depends: debhelper (>= 8.0.0), dkms
-Standards-Version: 3.9.5
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Julien Muchembled <jm@jmuchemb.eu>
+Build-Depends: debhelper (>= 12~), dkms
+Standards-Version: 4.3.0
 Homepage: https://github.com/maru-sama/rtsp-linux
+Rules-Requires-Root: no
 
 Package: nat-rtsp-dkms
 Architecture: all

## nat-rtsp 0.7+5.3

=== debian/changelog ===
nat-rtsp (0.7+5.3-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Import package history into Git.
  * Add watch file.
  * Skip CONFIG_NF_CONNTRACK check on clean.
  * Switch to debhelper-compat (= 13).
  * d/rules: Use pkg-info.mk.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 15 Feb 2025 02:47:07 +0100

nat-rtsp (0.7+5.3-0.3) unstable; urgency=medium

  * Non-maintainer upload.

  [ Adrien CLERC ]
  * Fix module build for Linux 6.8+.  (Closes: #1071268)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 30 Jun 2024 02:11:00 +0200

nat-rtsp (0.7+5.3-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to dh-sequence-dkms.  (Closes: #1027881)
  * Declare Testsuite: autopkgtest-pkg-dkms.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 20 Jan 2023 16:52:43 +0100

nat-rtsp (0.7+5.3-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release:
    - Add support for linux 5.3 (Closes: #955488)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 17 Jan 2021 22:31:56 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,16 @@
 Source: nat-rtsp
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Julien Muchembled <jm@jmuchemb.eu>
-Build-Depends: debhelper (>= 12~), dkms
+Maintainer: Julien Muchembled <jm@jmuchemb.eu>
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-dkms,
 Standards-Version: 4.3.0
 Homepage: https://github.com/maru-sama/rtsp-linux
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-dkms
+Vcs-Browser: https://salsa.debian.org/debian/nat-rtsp
+Vcs-Git: https://salsa.debian.org/debian/nat-rtsp.git
 
 Package: nat-rtsp-dkms
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk
PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
PKG	 = $(DEB_SOURCE)
UVER	 = $(DEB_VERSION_UPSTREAM)

.PHONY: get-orig-source
get-orig-source: $(PKG)_$(UVER).orig.tar.xz
$(PKG)_$(UVER).orig.tar.xz: $(PKD)/get-orig-source $(PKD)/copyright
	set $^; $$1 $@ "`sed -n 's/^Source: //p' $$2`/tarball/%s"

%:
	dh $@ --buildsystem=none

override_dh_install:
	dh_install Makefile *.c *.h usr/src/$(PKG)-$(UVER)/
